<!doctype html>
<html>
<head>
    <title>New Tor Browser Bundles with Firefox 17.0.10esr | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Tor Browser Bundles with Firefox 17.0.10esr | Tor Project">
    <meta property="og:description" content="Firefox 17.0.10esr has been released with several security fixes and all of the Tor Browser...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-tor-browser-bundles-firefox-17010esr/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Tor Browser Bundles with Firefox 17.0.10esr
      </h1>
    <p class="meta">by erinn | November 1, 2013</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><a href="https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10" rel="nofollow">Firefox 17.0.10esr</a> has been released with several security fixes and all of the Tor Browser Bundles have been updated. All users are encouraged to upgrade.</p>

<p><a href="https://www.torproject.org/projects/torbrowser.html.en#downloads" rel="nofollow">https://www.torproject.org/projects/torbrowser.html.en#downloads</a></p>

<p><strong>Tor Browser Bundle (2.3.25-14)</strong></p>

<ul>
<li>Update Firefox to 17.0.10esr<br />
    <a href="https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10" rel="nofollow">https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#…</a></li>
<li>Update LibPNG to 1.6.6</li>
<li>Update NoScript to 2.6.8.4</li>
<li>Update HTTPS-Everywhere to 3.4.2</li>
<li>Firefox patch changes:</li>
<ul>
<li>Hide infobar for missing plugins. (closes: #9012)</li>
<li>Change the default entry page for the addons tab to the installed addons page. (closes: #8364)</li>
<li>Make flash objects really be click-to-play if flash is enabled. (closes: #9867)</li>
<li>Make getFirstPartyURI log+handle errors internally to simplify caller usage of the API. (closes: #3661)</li>
<li>Remove polipo and privoxy from the banned ports list. (closes: #3661)</li>
<li>misc: Fix a potential memory leak in the Image Cache isolation</li>
<li>misc: Fix a potential crash if OS theme information is ever absent</li>
</ul>
</ul>

<p><strong>Tor Browser Bundle (2.4.17-rc-1)</strong></p>

<ul>
<li>Update Firefox to 17.0.10esr<br />
    <a href="https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10" rel="nofollow">https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#…</a></li>
<li>Update LibPNG to 1.6.6</li>
<li>Update NoScript to 2.6.8.4</li>
<li>Downgrade HTTPS-Everywhere to 3.4.2 in preparation for this becoming the stable bundle</li>
<li>Firefox patch changes:</li>
<ul>
<li>Hide infobar for missing plugins. (closes: #9012)</li>
<li>Change the default entry page for the addons tab to the installed addons page. (closes: #8364)</li>
<li>Make flash objects really be click-to-play if flash is enabled. (closes: #9867)</li>
<li>Make getFirstPartyURI log+handle errors internally to simplify caller usage of the API. (closes: #3661)</li>
<li>Remove polipo and privoxy from the banned ports list. (closes: #3661)</li>
<li>misc: Fix a potential memory leak in the Image Cache isolation</li>
<li>misc: Fix a potential crash if OS theme information is ever absent</li>
</ul>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-36767"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36767" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36767">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36767" class="permalink" rel="bookmark">Great! And thank you for the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Great! And thank you for the good work!</p>
<p>Now if you would add 2.4.17-rc-1 for OS X to [geshifilter-code]<a href="https://www.torproject.org/dist/torbrowser/osx/[/geshifilter-code" rel="nofollow">https://www.torproject.org/dist/torbrowser/osx/[/geshifilter-code</a>], everything would be even greater ;-)  Funnily, the signature files are already there…</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36770"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36770" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36770">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36770" class="permalink" rel="bookmark">In the message log for the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In the message log for the OSX version of TBB 2.4, I see a lot of these entries:</p>
<p>Error setting SO_REUSEADDR flag: Invalid argument</p>
<p>This occurs in both the 32- and 64-bit versions. Next to zero activity in the bandwidth graph. No problems with 2.3 which shows a lot of activity in the bandwidth graph (20Mbps in both directions almost continually). Operating an exit node.</p>
<p>Problem existed in Mountain Lion. Problem remained after a format/install of Mavericks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36798"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36798" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36770" class="permalink" rel="bookmark">In the message log for the</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36798">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36798" class="permalink" rel="bookmark">This sounds like a real bug.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This sounds like a real bug. Can you go to trac.torproject.org and open a ticket, with Tor 0.2.4.x as the milestone? Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36813"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36813" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-36813">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36813" class="permalink" rel="bookmark">Done. Hope it gets fixed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Done. Hope it gets fixed soon.</p>
<p><a href="https://trac.torproject.org/projects/tor/ticket/10081" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/10081</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-36771"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36771" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36771">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36771" class="permalink" rel="bookmark">The requested URL</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The requested URL /dist/torbrowser/linux/tor-browser-gnu-linux-x86_64-2.4.17-rc-1-dev-en-US.tar.gz was not found on this server.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36774"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36774" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36774">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36774" class="permalink" rel="bookmark">Download link at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Download link at <a href="https://www.torproject.org/projects/torbrowser.html.en" rel="nofollow">https://www.torproject.org/projects/torbrowser.html.en</a> for Linux is 404ed...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36776"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36776" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36776">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36776" class="permalink" rel="bookmark">Download link for Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Download link for Tor Browser Bundle 2.4.17-rc-1 for Windows is broken.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36779"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36779" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36779">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36779" class="permalink" rel="bookmark">The 2.4.17 exe file is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The 2.4.17 exe file is missing</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36793"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36793" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36779" class="permalink" rel="bookmark">The 2.4.17 exe file is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36793">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36793" class="permalink" rel="bookmark">Looks like the files are now</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Looks like the files are now all there. Sorry for the unsynchronized announcement. (Let us know if any are still missing.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-36781"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36781" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36781">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36781" class="permalink" rel="bookmark">Could someone please help</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Could someone please help me, I'm new to this and I'm not sure how to go through the update process... it seems like I have to download the bundle all over again, extract it, and then are there 2 copies on my computer?  I'm confused on how to do this.  Please advise as to how to email or ask someone for help on this.  Thank you kindly!  *S.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36794"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36794" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36781" class="permalink" rel="bookmark">Could someone please help</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36794">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36794" class="permalink" rel="bookmark">Yep -- the safest and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yep -- the safest and simplest approach is just to download the new one, and delete the old one. If you want to get more complex you can export stuff like bookmarks from the old one and import them into the new one. It depends how much you customize your TBB vs just use it.</p>
<p>In the glorious future we'll have a variant of the Firefox updater able to do this for you, in place without losing changes you make.</p>
<p>As for where to get help, you might like<br />
<a href="https://www.torproject.org/about/contact#support" rel="nofollow">https://www.torproject.org/about/contact#support</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-36792"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36792" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
    <a href="#comment-36792">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36792" class="permalink" rel="bookmark">Looking forward to an update</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Looking forward to an update for the TBB pluggable- transports version.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36795"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36795" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 01, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36792" class="permalink" rel="bookmark">Looking forward to an update</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36795">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36795" class="permalink" rel="bookmark">Right -- when Erinn said</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Right -- when Erinn said 'all' I think she actually meant about half -- the PT TBBs will come soon, as will another 3.0 alpha-or-beta.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-36797"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36797" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
    <a href="#comment-36797">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36797" class="permalink" rel="bookmark">Are the fixes/updates in Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are the fixes/updates in Tor Browser Bundle (2.3.25-14) already present in Tails 0.21?</p>
<p>Tails 0.21 was released just a few days ago on October 29, 2013 and version 0.22 will only be out on December 11.</p>
<p>We users hope there <b>IS</b> <i>communication</i>, <i>co-ordination</i> and <i>teamwork</i> between the people working on Tor and those working on Tails.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36802"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36802" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36797" class="permalink" rel="bookmark">Are the fixes/updates in Tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36802">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36802" class="permalink" rel="bookmark">The various groups do</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The various groups do communicate yes.</p>
<p>Tails 0.21 includes this latest Firefox too, among other changes.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-36800"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36800" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
    <a href="#comment-36800">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36800" class="permalink" rel="bookmark">are you guys moving to ESR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>are you guys moving to ESR 24.1 in the next beta? Please let it be so. Many addons are dropping older FF versions and won't work.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36801"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36801" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36800" class="permalink" rel="bookmark">are you guys moving to ESR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36801">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36801" class="permalink" rel="bookmark">Keep an eye</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Keep an eye on<br />
<a href="https://trac.torproject.org/projects/tor/query?status=!closed&amp;keywords=~ff24-esr" rel="nofollow">https://trac.torproject.org/projects/tor/query?status=!closed&amp;keywords=…</a></p>
<p>Mike et al aren't done fixing all the privacy disasters introduced in FF24. But they know they'd best be done real soon now.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36828"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36828" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-36828">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36828" class="permalink" rel="bookmark">Thanks alot for your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks alot for your efforts. Is the delay due to a lack of resources ? Do you need more donations.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36860"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36860" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 04, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36828" class="permalink" rel="bookmark">Thanks alot for your</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36860">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36860" class="permalink" rel="bookmark">Do we need more donations?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Do we need more donations? Yes, undirected donations are really great because they give us the flexibility to work on the things that most need attention now, rather than the things we convinced a funder a year ago that we should work on.</p>
<p>In this case, the delay is due both to lack of enough of the right developers and also lack of funding. We're in the process of trying to fix the latter issue, which will in turn let us fix the former issue. Help would be greatly appreciated.</p>
<p>That said, we're likely to wait until nearly the last minute to switch from one ESR to the next anyway, since it gives everybody the most time to discover issues in the new ESR.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-36831"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36831" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36800" class="permalink" rel="bookmark">are you guys moving to ESR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36831">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36831" class="permalink" rel="bookmark">are you guys moving to ESR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><cite>are you guys moving to ESR 24.1 in the next beta? Please let it be so. Many addons are dropping older FF versions and won't work.</cite></p>
<p>Are these "many addons" safe to use, I mean, do they break anonymity?</p>
<p>IMHO addons are of secondary importance if they do NOT enhance anonymity.</p>
<p>We use TBB and Tails because they provide anonymity, not the latest gizmos.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36859"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36859" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 04, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36831" class="permalink" rel="bookmark">are you guys moving to ESR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36859">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36859" class="permalink" rel="bookmark">https://www.torproject.org/do</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://www.torproject.org/docs/faq.html.en#TBBOtherExtensions" rel="nofollow">https://www.torproject.org/docs/faq.html.en#TBBOtherExtensions</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36922"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36922" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 05, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36831" class="permalink" rel="bookmark">are you guys moving to ESR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36922">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36922" class="permalink" rel="bookmark">Browser add-ons that may</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Browser add-ons that may improve anonymity:<br />
has anyone tried <b>Self-Destructing Cookies</b>?</p>
<p>It zaps the cookies and LSO right after you finish visiting a site, close its tab and open a new tab; also can clear the browser's cache on timer.<br />
Needed when you can't switch the Identity or restart the browser right away - normally in this case one would have to remember to clear the cookies manually or drag them along the rest of the browser session, neither of which is optimal.  Such auto-protection would be just great to have in Tor Browser.</p>
<p>Released under GNU GPL2 license; requires minimum FF version 21 (I think), so it doesn't run on v.17 ESR.<br />
BTW, I'm not related to its dev in any way - was just looking for the automatic cookie deletion within the same browser session.<br />
If anyone has experience auditing the code and using the network sniffers, I'd appreciate checking this add-on for any privacy leaks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36998"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36998" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 07, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36922" class="permalink" rel="bookmark">Browser add-ons that may</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36998">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36998" class="permalink" rel="bookmark">I was using</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I was using "Self-Destructing Cookies" for a few months, and was happy with the results. But, one thing that disappointed me was that SDC did NOT remove LSO cookies. You need to also install the "Better Privacy" addon to remove LSOs.</p>
<p>I repeat, SDC removed every other kind of cookie except LSO cookies.</p>
<p>Also, do NOT use the Ghostery addon. I was using it for months untill I discovered Ghostery making requests to some odd server. Just stick with SDC + Better Privacy.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-37306"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37306" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 10, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36998" class="permalink" rel="bookmark">I was using</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-37306">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37306" class="permalink" rel="bookmark">Are you talking about</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are you talking about ghostrank? Just keep it disabled.</p>
<p>SDC doesn't manage LSO cookies, better privacy is for that.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-42455"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-42455" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 24, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36998" class="permalink" rel="bookmark">I was using</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-42455">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-42455" class="permalink" rel="bookmark">And I was so happy with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>And I was so happy with ghostery untill I read your post. I still don't know how to find who is tracking me when Ghostery tells me someone is tracking you</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-46143"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-46143" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-42455" class="permalink" rel="bookmark">And I was so happy with</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-46143">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-46143" class="permalink" rel="bookmark">Ghostery is perfect, I have</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ghostery is perfect, I have been monitoring it closely, it just requests to GhostRank server, if you disable it, nothing will happen.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div><a id="comment-36812"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36812" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
    <a href="#comment-36812">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36812" class="permalink" rel="bookmark">Thank you guys! I&#039;m</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you guys! I'm downloading it!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36830"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36830" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
    <a href="#comment-36830">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36830" class="permalink" rel="bookmark">The latest TBB without</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The latest TBB without Vidalia (beta version) is not out for this release, it seems. Thank you!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36833"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36833" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
    <a href="#comment-36833">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36833" class="permalink" rel="bookmark">Could someone tell me WHERE</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Could someone tell me WHERE the settings for the following warning message are stored (sqlite file, ini file etc):</p>
<p>"This website attempted to access image data on a canvas. Since canvas image data can be used to discover information about your computer, blank image data was returned this time."</p>
<p>thx</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36836"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36836" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
    <a href="#comment-36836">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36836" class="permalink" rel="bookmark">Just downloaded and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just downloaded and installed and it is asking me for a password.  I've never put a password in the program.  Tried the system password and that didn't work.  Any suggestions please!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-36861"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36861" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 04, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36836" class="permalink" rel="bookmark">Just downloaded and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-36861">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36861" class="permalink" rel="bookmark">You might like</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You might like <a href="https://www.torproject.org/docs/faq#VidaliaPassword" rel="nofollow">https://www.torproject.org/docs/faq#VidaliaPassword</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-36841"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36841" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2013</p>
    </div>
    <a href="#comment-36841">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36841" class="permalink" rel="bookmark">Every SSL-secured site I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Every SSL-secured site I attempt to go to with the latest 64-bit TBB, gives me the following error message: </p>
<p>Secure Connection Failed</p>
<p>An error occurred during a connection to <a href="http://www.torproject.org" rel="nofollow">www.torproject.org</a>.</p>
<p>SSL peer reports incorrect Message Authentication Code.</p>
<p>(Error code: ssl_error_bad_mac_alert)</p>
<p>The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.</p>
<p>Please contact the website owners to inform them of this problem. Alternatively, use the command found in the help menu to report this broken site.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36845"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36845" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2013</p>
    </div>
    <a href="#comment-36845">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36845" class="permalink" rel="bookmark">Help please! I am getting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Help please! I am getting ERROR all the time with<br />
tor-browser-gnu-linux-x86_64-2.3.25-14-dev-en-US</p>
<p>Tor Browser Bundle pop-up warning square:<br />
Vidalia exited abnormally. Exit code: 2</p>
<p>2 empty txt-documents pops up in the folder, named<br />
(invalid encoding) (invalid encoding) with strange unicode letters above<br />
when trying to start vidalia from: start-tor-browser (run)</p>
<p>Ubuntu 12.10</p>
<p>this is the second latest release of the tor browser bundle that i can not run.<br />
no firewall, vpn, proxy should be able to block anything<br />
since i havent done any changes since i removed the older version.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36850"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36850" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2013</p>
    </div>
    <a href="#comment-36850">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36850" class="permalink" rel="bookmark">I&#039;m curious about LibPNG.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm curious about LibPNG. Why is it in the bundle?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36853"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36853" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2013</p>
    </div>
    <a href="#comment-36853">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36853" class="permalink" rel="bookmark">I can use the tor browser to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I can use the tor browser to visit any other page except the one it is supposed to start first, the check.torproject.org.  It was doing this before and after I installed the new update, was working fine yesterday.  Message I get is : The proxy server is refusing connections.  Firefox is configured to use a proxy server that is refusing connections.</p>
<p>So, is it safe to use my tor browser?  Any thoughts if I need to download/install/whatever anything else?  Thank you in advance!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-37974"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37974" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 16, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-36853" class="permalink" rel="bookmark">I can use the tor browser to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-37974">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37974" class="permalink" rel="bookmark">I, too, have the &quot;refusing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I, too, have the "refusing connections" error message.  Vidalia shows a green torbutton, but the browser page shows a red slashed button and won't connect me anywhere, while giving me the above error message.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-36872"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36872" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 04, 2013</p>
    </div>
    <a href="#comment-36872">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36872" class="permalink" rel="bookmark">I am not able to paste</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am not able to paste anything from outside of tor on any site.<br />
like copy encrypted message from notepad and then paste into tor.<br />
is any one else having this issue?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36913"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36913" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 05, 2013</p>
    </div>
    <a href="#comment-36913">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36913" class="permalink" rel="bookmark">Thanks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36914"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36914" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 05, 2013</p>
    </div>
    <a href="#comment-36914">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36914" class="permalink" rel="bookmark">bug in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>bug in <a href="https://check.torproject.org" rel="nofollow">https://check.torproject.org</a> page.</p>
<p>if you get the message that theres a security update available on that page, then close your browser. download and install the update. when you reopen the browser, in some circumstances (and this is just a guess, as it might be something else causing it - perhaps the browser is set to on restart to always open the pages that were open at the time the browser was closed) the check.torproject.org page announcing theres an update available opens again, this is very confusing, as it seems like the update you have downloaded and installed hasnt worked...</p>
<p>i would suggest as a fix for this, to put an actual check on the following page<br />
<a href="https://check.torproject.org/?lang=en-US&amp;small=1&amp;uptodate=0" rel="nofollow">https://check.torproject.org/?lang=en-US&amp;small=1&amp;uptodate=0</a><br />
to check whether the current tor version is actually up to date, as it doesnt seem to be checking at present. you can test this by visiting that page with your up to date tor browser bundle. it will still report that there is an update available...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36923"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36923" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 05, 2013</p>
    </div>
    <a href="#comment-36923">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36923" class="permalink" rel="bookmark">Despite using it on a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Despite using it on a portable drive, it is still splattering files to C:\Users\myaccountname\AppData\Local\Vidalia such as C:\Users\myaccountname\AppData\Local\Vidalia\vidalia.pid and looks for files like geoip in that folder, instead of in a relative and local folder on windows 7.  I wonder if firefox creates temp files for downloads in C:\Users\admin1\AppData\Local\Temp .</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36939"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36939" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 06, 2013</p>
    </div>
    <a href="#comment-36939">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36939" class="permalink" rel="bookmark">I still have the &quot;proxy</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I still have the "proxy configured to refuse connection problem" after a clean installation (winxpsp3, noadm priv, using a http/s proxy, tor client only from usb stick). After reading comments everywhere I found out that the only stable solution for me is to delete the line HashedControlPassword to make tor work (I tried to use the cookie authentication or a fixed password but they don't work either). In the manual you say this creates a security breach. Is there a safe(r) solution to this issue? This problem affects me only starting from late spring 2013 distributions. Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-36948"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-36948" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 06, 2013</p>
    </div>
    <a href="#comment-36948">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-36948" class="permalink" rel="bookmark">big thanks to the tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>big thanks to the tor project people</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-37008"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37008" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 07, 2013</p>
    </div>
    <a href="#comment-37008">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37008" class="permalink" rel="bookmark">NEW VERSION  TOR-14
BUG</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>NEW VERSION  TOR-14</p>
<p>BUG RELATED TO/  WINDOWS XP</p>
<p>Firefox&gt;Bookmarks&gt;Backup&gt;  file= "anybookmark" </p>
<p>A  series of annoying scripts appears which highjacks the transfer of bookmarks from Tor13  to Tor14</p>
<p>Script: chrome://browser/content/places/browserPlacesViews.js:583</p>
<p>Nice new upgrade. pretty smooth except for this bug,  thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-37158"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37158" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 08, 2013</p>
    </div>
    <a href="#comment-37158">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37158" class="permalink" rel="bookmark">Tor Browser is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Browser is fingerprinting users by default!</p>
<p>Upon starting TBB, a list of all installed extensions is sent to mozilla's addon server to check against a blocklist.</p>
<p><a href="https://support.mozilla.org/en-US/kb/how-stop-firefox-automatically-making-connections#w_add-on-blocklist-updating" rel="nofollow">https://support.mozilla.org/en-US/kb/how-stop-firefox-automatically-mak…</a></p>
<p>TBB should immediately start defaulting this to false.<br />
<span class="geshifilter"><code class="php geshifilter-php">extensions<span style="color: #339933;">.</span>blocklist<span style="color: #339933;">.</span>enabled<span style="color: #339933;">;</span><span style="color: #009900; font-weight: bold;">false</span></code></span></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-37241"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37241" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 09, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-37158" class="permalink" rel="bookmark">Tor Browser is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-37241">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37241" class="permalink" rel="bookmark">This check goes over Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This check goes over Tor though, right?</p>
<p>I totally agree that giving Mozilla all this data, even anonymized, is scary. See also my discussions on this ticket:<br />
<a href="https://trac.torproject.org/projects/tor/ticket/9769" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/9769</a></p>
<p>There's pretty clearly a tradeoff between keeping you up-to-date and sending Mozilla details (over Tor) about your configuration.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-37309"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37309" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 10, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-37309">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37309" class="permalink" rel="bookmark">Yes, the check goes over</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, the check goes over TOR.</p>
<p>I thought I saw a request to a mozilla blocklist server that submitted a variable along the lines of "GET_INSTALLED_ADDONS" however I've been unable to reproduce what I saw.</p>
<p>The blocklist URL string does not contain this var so it must have been something else.<br />
<a href="https://wiki.mozilla.org/Firefox3.1/Blocklisting_Security_Review" rel="nofollow">https://wiki.mozilla.org/Firefox3.1/Blocklisting_Security_Review</a></p>
<p>I will reply here if I am able to reproduce what I originally thought I witnessed. I apologize if I was incorrect.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-37297"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37297" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 10, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-37158" class="permalink" rel="bookmark">Tor Browser is</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-37297">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37297" class="permalink" rel="bookmark">TBB do not sends a list of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>TBB do not sends a list of installed extensions, it fetches a list of blocked extensions instead.</p>
<p>Problem with generated URL itself, and not only for blocklist case as TBB fetching many another stuff from mozilla's addon server.<br />
List of used vars for URLS, that can be individual:<br />
%BUILD_ID%<br />
%BUILD_TARGET%<br />
%LOCALE%<br />
%CHANNEL%<br />
%OS_VERSION%<br />
%PING_COUNT%<br />
%TOTAL_PING_COUNT%<br />
%DAYS_SINCE_LAST_PING%<br />
etc</p>
<p>You can't fix it just by extensions.blocklist.enabled;false</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-37957"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-37957" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 16, 2013</p>
    </div>
    <a href="#comment-37957">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-37957" class="permalink" rel="bookmark">Does it disable javascript</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Does it disable javascript by default?</p>
<p>Read Snowden's 'Tor Stink' leak, they mentioned Tor Browser has a weakness, which is javascript is enabled by default, and the NSA have been using it to their advantage.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-38203"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-38203" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">November 18, 2013</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-37957" class="permalink" rel="bookmark">Does it disable javascript</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-38203">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-38203" class="permalink" rel="bookmark">https://www.torproject.org/do</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://www.torproject.org/docs/faq#TBBJavaScriptEnabled" rel="nofollow">https://www.torproject.org/docs/faq#TBBJavaScriptEnabled</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-46141"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-46141" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 23, 2014</p>
    </div>
    <a href="#comment-46141">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-46141" class="permalink" rel="bookmark">I&#039;ve installed the add-on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've installed the add-on for Firefox but how can i tell if it's working or not?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-46277"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-46277" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2014</p>
    </div>
    <a href="#comment-46277">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-46277" class="permalink" rel="bookmark">Couldn&#039;t Load</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Couldn't Load XPCOM...Windoze 7... can't get Orbot or Orweb working on my Nexus 10 either... any help, seems horrible to be quite honest.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-46331"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-46331" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">January 26, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-46277" class="permalink" rel="bookmark">Couldn&#039;t Load</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-46331">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-46331" class="permalink" rel="bookmark">You realize you&#039;re posting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You realize you're posting this on a blog post about an obsolete Tor Browser Bundle version, yes?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
